%% Understanding PCA.

load fisheriris;                        % We will work with the Iris dataset.
X = meas;                               % [Sepal length, Sepal width, Petal length, Petal width]

C = cov( X );

%% SVD on the covariance matrix.

[U S V] = svd( C );

% Project dataset onto first two principal components.
e1 = U(:,1); s1 = S(1,1);
e2 = U(:,2); s2 = S(2,2);
x = X * e1;
y = X * e2;

figure;
plot( x, y, 'o', 'Color', [0, 0.5, 0.5] );
xlabel( 'First principal component' );
ylabel( 'Second principal component' );
str = sprintf( 'Singular values s1 = %f and s2 = %f', s1, s2 );
title( { 'PCA', str } );
axis equal;
hold on;

legend( 'Iris dataset' );
hold off;